<?php

/**
 * An article-author map.
 *
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package OnpubAPI
 * @version 0.8.6
 */
class OnpubAAMap
{
    /**
     * Article-author map ID. Default is null.
     *
     * @var int
     */
    public $ID;
    /**
     * Article ID. Default is null.
     *
     * @var int
     */
    public $articleID;
    /**
     * Author ID. Default is null.
     *
     * @var int
     */
    public $authorID;
    private $created;
    private $modified;

    function __construct()
    {
        $this->ID = null;
        $this->articleID = null;
        $this->authorID = null;
        $this->created = null;
        $this->modified = null;
    }

    /**
     * Get this map's creation date.
     *
     * By default, returns the date at the time this method was called for the
     * first time. Call {@link OnpubAAMap::setCreated()} to explicitly set
     * this map's creation date.
     *
     * @return DateTime
     */
    public function getCreated()
    {
        if ( $this->created === null ) {
            $this->created = new DateTime();
        }

        return $this->created;
    }

    /**
     * @param DateTime
     */
    public function setCreated( DateTime $created )
    {
        $this->created = $created;
    }

    /**
     * Get this map's last modification date.
     *
     * By default, returns the date at the time this method was called for the
     * first time. Call {@link OnpubAAMap::setModified()} to explicitly set
     * this map's last modification date.
     *
     * @return DateTime
     */
    public function getModified()
    {
        if ( $this->modified === null ) {
            $this->modified = new DateTime();
        }

        return $this->modified;
    }

    /**
     * @param DateTime
     */
    public function setModified( DateTime $modified )
    {
        $this->modified = $modified;
    }
}

?>
