<?php

/**
 * An author.
 *
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package OnpubAPI
 * @version 0.8.6
 */
class OnpubAuthor
{
    /**
     * Author ID. Default is null.
     *
     * @var int
     */
    public $ID;
    /**
     * Image ID. Default is null.
     *
     * @var int
     */
    public $imageID;
    /**
     * Author's given names. Default is an empty string.
     *
     * @var string
     */
    public $givenNames;
    /**
     * Author's family name. Default is an empty string.
     *
     * @var string
     */
    public $familyName;
    /**
     * Author's display name. Default is an empty string.
     *
     * @var string
     */
    public $displayAs;
    private $created;
    private $modified;
    /**
     * Author image. Default is null.
     *
     * @var OnpubImage
     */
    public $image;

    function __construct()
    {
        $this->ID = null;
        $this->imageID = null;
        $this->givenNames = "";
        $this->familyName = "";
        $this->displayAs = "";
        $this->created = null;
        $this->modified = null;
        $this->image = null;
    }

    /**
     * Get this author's creation date.
     *
     * By default, returns the date at the time this method was called for the
     * first time. Call {@link OnpubAuthor::setCreated()} to explicitly set
     * this author's creation date.
     *
     * @return DateTime
     */
    public function getCreated()
    {
        if ( $this->created === null ) {
            $this->created = new DateTime();
        }

        return $this->created;
    }

    /**
     * @param DateTime
     */
    public function setCreated( DateTime $created )
    {
        $this->created = $created;
    }

    /**
     * Get this author's last modification date.
     *
     * By default, returns the date at the time this method was called for the
     * first time. Call {@link OnpubAuthor::setModified()} to explicitly set
     * this author's last modification date.
     *
     * @return DateTime
     */
    public function getModified()
    {
        if ( $this->modified === null ) {
            $this->modified = new DateTime();
        }

        return $this->modified;
    }

    /**
     * @param DateTime
     */
    public function setModified( DateTime $modified )
    {
        $this->modified = $modified;
    }
}

?>
