<?php

/**
 * Onpub database query options.
 *
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package OnpubAPI
 * @version 0.8.6
 */
class OnpubQueryOptions
{
    /**
     * Default is false. Set to true if you would like article
     * data to be included in the database query results (where applicable).
     *
     * @var bool
     */
    public $includeArticles;
    /**
     * Default is false.
     *
     * @var bool
     */
    public $includeAuthors;
    /**
     * Default is true.
     *
     * @var bool
     */
    public $includeContent;
    /**
     * Default is false.
     *
     * @var bool
     */
    public $includeSections;
    /**
     * Default is null.
     *
     * @var string
     */
    public $orderBy;
    /**
     * Default is null.
     *
     * @var string
     */
    public $order;
    /**
     * Default is null.
     *
     * @var int
     */
    public $rowLimit;
    /**
     * Default is null.
     *
     * @var DateTime
     */
    public $dateAfter;
    /**
     * Default is null.
     *
     * @var DateTime
     */
    public $dateLimit;
    /**
     * Default is false.
     *
     * @var bool
     */
    public $fullTextSearch;

    private $page;

    function __construct()
    {
        $this->includeArticles = false;
        $this->includeAuthors = false;
        $this->includeContent = true;
        $this->includeSections = false;
        $this->orderBy = null;
        $this->order = null;
        $this->page = null;
        $this->rowLimit = null;
        $this->dateAfter = null;
        $this->dateLimit = null;
        $this->fullTextSearch = false;
    }

    /**
     * @return int
     */
    public function getPage()
    {
        return $this->page;
    }

    /**
     * Paginate a set of rows.
     *
     * @param int
     * @param int
     */
    public function setPage( $page, $rowLimit )
    {
        $this->page = $page;
        $this->rowLimit = $rowLimit;
    }
}

?>
