<?php

/**
 * A website.
 *
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package OnpubAPI
 * @version 0.8.6
 */
class OnpubWebsite
{
    /**
     * Website ID. Default is null.
     *
     * @var int
     */
    public $ID;
    /**
     * Image ID. Default is null.
     *
     * @var int
     */
    public $imageID;
    /**
     * Website name. Default is an empty string.
     *
     * @var string
     */
    public $name;
    /**
     * Website URL. Default is an empty string.
     *
     * @var string
     */
    public $url;
    /**
     * Images URL. Default is an empty string.
     *
     * @var string
     */
    public $imagesURL;
    /**
     * Images directory. Default is an empty string.
     *
     * @var string
     */
    public $imagesDirectory;
    private $created;
    private $modified;
    /**
     * Website sections. Default is an empty array.
     *
     * @var array
     */
    public $sections;
    /**
     * Website articles. Default is an empty array.
     *
     * @var array
     */
    public $articles;
    /**
     * Website image. Default is null.
     *
     * @var OnpubImage
     */
    public $image;

    function __construct()
    {
        $this->ID = null;
        $this->imageID = null;
        $this->name = "";
        $this->url = "";
        $this->imagesURL = "";
        $this->imagesDirectory = "";
        $this->created = null;
        $this->modified = null;
        $this->sections = array();
        $this->articles = array();
        $this->image = null;
    }

    /**
     * Get this website's creation date.
     *
     * By default, returns the date at the time this method was called for the
     * first time. Call {@link OnpubWebsite::setCreated()} to explicitly set
     * this website's creation date.
     *
     * @return DateTime
     */
    public function getCreated()
    {
        if ( $this->created === null ) {
            $this->created = new DateTime();
        }

        return $this->created;
    }

    /**
     * @param DateTime
     */
    public function setCreated( DateTime $created )
    {
        $this->created = $created;
    }

    /**
     * Get this website's last modification date.
     *
     * By default, returns the date at the time this method was called for the
     * first time. Call {@link OnpubWebsite::setModified()} to explicitly set
     * this website's last modification date.
     *
     * @return DateTime
     */
    public function getModified()
    {
        if ( $this->modified === null ) {
            $this->modified = new DateTime();
        }

        return $this->modified;
    }

    /**
     * @param DateTime
     */
    public function setModified( DateTime $modified )
    {
        $this->modified = $modified;
    }
}

?>
