<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.6
 */
class OnpubWidgetHeader
{
    private $title;

    function __construct( $title = "" )
    {
        $this->title = $title;
    }

    function display()
    {
        echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">' . "\n";
        echo '<html>' . "\n";
        echo '<head>' . "\n";
        echo '<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />' . "\n";
        echo '<link rel="stylesheet" type="text/css" href="gui/css/onpub.css" />' . "\n";
        echo '<script src="gui/js/onpub.js" type="text/javascript"></script>' . "\n";
        echo '<title>' . strip_tags( "Onpub (on " . $_SERVER['SERVER_NAME'] . ") - " . $this->title ) . '</title>' . "\n";
        echo '</head>' . "\n";
        echo '<body>' . "\n";
        echo '<a name="top"></a>' . "\n";
        echo '<table cellspacing="0" cellpadding="0" border="0">' . "\n";
        echo '<tr>' . "\n";
        echo '<td valign="bottom"><a href="index.php"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'onpub.png" width="130" height="40" alt="Onpub" title="Onpub" border="0" /></a></td>' . "\n";

        if ( $this->title ) {
            echo '<td valign="bottom" class="title">' . strip_tags( $this->title ) . '</td>' . "\n";
        }
        else {
            echo '<td valign="bottom" class="title">Onpub (on ' . $_SERVER['SERVER_NAME'] . ')</td>' . "\n";
        }

        echo '</tr>' . "\n";
        echo '<tr valign="top">' . "\n";

        echo '<td style="padding-top: 5px; padding-left: 15px; text-align: left;">' . "\n";
        echo '<b style="font-size: 14pt;">New</b>' . "\n";
        echo '<br />' . "\n";
        echo '<a href="index.php?onpub=NewArticle"><img src="gui/icons/page_add.png" align="top" width="16" height="16" alt="New Article" title="New Article" border="0" /></a> <a href="index.php?onpub=NewArticle">Article</a>' . "\n";
        echo '<br />' . "\n";
        echo '<a href="index.php?onpub=NewSection"><img src="gui/icons/folder_add.png" align="top" width="16" height="16" alt="New Section" title="New Section" border="0" /></a> <a href="index.php?onpub=NewSection">Section</a>' . "\n";
        echo '<br />' . "\n";
        echo '<a href="index.php?onpub=NewWebsite"><img src="gui/icons/world_add.png" align="top" width="16" height="16" alt="New Website" title="New Website" border="0" /></a> <a href="index.php?onpub=NewWebsite">Website</a>' . "\n";
        echo '<br /><br />' . "\n";
        echo '<b style="font-size: 14pt;">Edit</b>' . "\n";
        echo '<br />' . "\n";
        echo '<a href="index.php?onpub=EditArticles"><img src="gui/icons/page.png" align="top" width="16" height="16" alt="Edit Articles" title="Edit Articles" border="0" /></a> <a href="index.php?onpub=EditArticles">Articles</a>' . "\n";
        echo '<br />' . "\n";
        //echo '<a href="index.php?onpub=EditComments"><img src="gui/icons/comments.png" align="top" width="16" height="16" alt="Edit Comments" title="Edit Comments" border="0" /></a> <a href="index.php?onpub=EditComments">Comments</a>' . "\n";
        //echo '<br />' . "\n";
        echo '<a href="index.php?onpub=EditImages"><img src="gui/icons/image.png" align="top" width="16" height="16" alt="Edit Images" title="Edit Images" border="0" /></a> <a href="index.php?onpub=EditImages">Images</a>' . "\n";
        echo '<br />' . "\n";
        echo '<a href="index.php?onpub=EditSections"><img src="gui/icons/folder.png" align="top" width="16" height="16" alt="Edit Sections" title="Edit Sections" border="0" /></a> <a href="index.php?onpub=EditSections">Sections</a>' . "\n";
        echo '<br />' . "\n";
        echo '<a href="index.php?onpub=EditWebsites"><img src="gui/icons/world.png" align="top" width="16" height="16" alt="Edit Websites" title="Edit Websites" border="0" /></a> <a href="index.php?onpub=EditWebsites">Websites</a>' . "\n";
        echo '<br /><br />' . "\n";
        echo '<b style="font-size: 14pt;">Upload</b>' . "\n";
        echo '<br />' . "\n";
        echo '<a href="index.php?onpub=UploadImages"><img src="gui/icons/image_add.png" align="top" width="16" height="16" alt="Upload Images" title="Upload Images" border="0" /></a> <a href="index.php?onpub=UploadImages">Images</a>' . "\n";
        echo '<br /><br />' . "\n";
        echo '<a href="docs/index.html" target="_blank"><img src="gui/icons/information.png" align="top" width="16" height="16" alt="Help" title="Help" border="0" /></a> <a href="docs/index.html" target="_blank">Help</a>' . "\n";
        echo '<br />' . "\n";
        echo '<a href="index.php?onpub=Logout"><img src="gui/icons/door_out.png" align="top" width="16" height="16" alt="Logout" title="Logout" border="0" /></a> <a href="index.php?onpub=Logout">Logout</a>' . "\n";
        echo '</td>' . "\n";

/*
        if ( defined( "ONPUBGUI_SQLITE_DB_FILE" ) ) {
            echo '<td align="center"><a href="index.php?onpub=NewArticle"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'articlecreator.png" width="130" height="35" alt="New Article" title="New Article" border="0" /></a><br /><a href="index.php?onpub=EditArticles"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'articleeditor.png" width="130" height="35" alt="Edit Articles" title="Edit Articles" border="0" /></a><br /><a href="index.php?onpub=EditImages"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'imageeditor.png" width="130" height="35" alt="Edit Images" title="Edit Images" border="0" /></a><br /><a href="index.php?onpub=UploadImages"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'imageuploader.png" width="130" height="35" alt="Upload Images" title="Upload Images" border="0" /></a><br /><a href="index.php?onpub=NewSection"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'sectioncreator.png" width="130" height="35" alt="New Section" title="New Section" border="0" /></a><br /><a href="index.php?onpub=EditSections"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'sectioneditor.png" width="130" height="35" alt="Edit Sections" title="Edit Sections" border="0" /></a><br /><a href="index.php?onpub=NewWebsite"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'websitecreator.png" width="130" height="35" alt="New Website" title="New Website" border="0" /></a><br /><a href="index.php?onpub=EditWebsites"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'websiteeditor.png" width="130" height="35" alt="Edit Websites" title="Edit Websites" border="0" /></a><br /><a href="docs/index.html" target="_blank"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'help.png" width="30" height="30" alt="Help" title="Help" border="0" /></a></td>' . "\n";
        }
        else {
            echo '<td align="center"><a href="index.php?onpub=NewArticle"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'articlecreator.png" width="130" height="35" alt="New Article" title="New Article" border="0" /></a><br /><a href="index.php?onpub=EditArticles"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'articleeditor.png" width="130" height="35" alt="Edit Articles" title="Edit Articles" border="0" /></a><br /><a href="index.php?onpub=EditImages"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'imageeditor.png" width="130" height="35" alt="Edit Images" title="Edit Images" border="0" /></a><br /><a href="index.php?onpub=UploadImages"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'imageuploader.png" width="130" height="35" alt="Upload Images" title="Upload Images" border="0" /></a><br /><a href="index.php?onpub=NewSection"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'sectioncreator.png" width="130" height="35" alt="New Section" title="New Section" border="0" /></a><br /><a href="index.php?onpub=EditSections"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'sectioneditor.png" width="130" height="35" alt="Edit Sections" title="Edit Sections" border="0" /></a><br /><a href="index.php?onpub=NewWebsite"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'websitecreator.png" width="130" height="35" alt="New Website" title="New Website" border="0" /></a><br /><a href="index.php?onpub=EditWebsites"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'websiteeditor.png" width="130" height="35" alt="Edit Websites" title="Edit Websites" border="0" /></a><br /><a href="index.php?onpub=Logout"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'logout.png" width="60" height="35" alt="Logout" title="Logout" border="0" /></a><br /><a href="docs/index.html" target="_blank"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'help.png" width="30" height="30" alt="Help" title="Help" border="0" /></a></td>' . "\n";
        }
*/

        echo '<td class="content">' . "\n";
        echo '<!-- CONTENT START -->' . "\n";
    }
}

?>
