<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.6
 */
class OnpubWidgetPDOException
{
    private $exception;
    private $header;
    private $footer;

    function __construct( $exception, $header = true, $footer = true )
    {
        $this->exception = $exception;
        $this->header = $header;
        $this->footer = $footer;
    }

    public function display()
    {
        if ( $this->header ) {
            $widget = new OnpubWidgetHeader( "PDO Exception" );
            $widget->display();
        }

        echo '<table border="0" cellpadding="5">' . "\n";

        echo '<tr>' . "\n";
        echo '<td><strong>Error Message</strong><br /><span class="error">' . $this->exception->getMessage() . '</span></td>' . "\n";
        echo '</tr>' . "\n";

        echo '<tr>' . "\n";
        echo '<td><strong>Error Code</strong><br />' . $this->exception->getCode() . '</td>' . "\n";
        echo '</tr>' . "\n";

        $sqlstate = $this->exception->errorInfo[0];

        echo '<tr>' . "\n";
        echo '<td><strong>SQLSTATE Code</strong><br />' . $sqlstate . '</td>' . "\n";
        echo '</tr>' . "\n";

        echo '<tr>' . "\n";
        echo '<td><strong>Trace 0</strong><br />File: ' . $this->exception->getFile() . '<br />Line: ' . $this->exception->getLine() . '</td>' . "\n";
        echo '</tr>' . "\n";

        $trace = $this->exception->getTrace();

        for ( $i = 0; $i < sizeof( $trace ); $i++ ) {
            echo '<tr>' . "\n";
            echo '<td><strong>Trace ' . ($i + 1) . '</strong><br />' . "\n";
            echo '' . "\n";
            echo 'File: ' . $trace[$i]['file'] . '<br />' . "\n";
            echo 'Line: ' . $trace[$i]['line'] . '<br />' . "\n";

            echo 'Method: ' . $trace[$i]['class'] . $trace[$i]['type'] . $trace[$i]['function'] . '(';
/*
            if ( isset( $trace[$i]['args'] ) ) {
                $args = $trace[$i]['args'];

                for ( $j = 0; $j < sizeof( $args ); $j++ ) {
                    echo $args[$j];

                    if ( $j + 1 != sizeof( $args ) ) {
                        echo ', ';
                    }
                }
            }
*/
            echo ')<br />' . "\n";

            echo '' . "\n";
            echo '</td>' . "\n";
            echo '</tr>' . "\n";
        }

        echo '</table>' . "\n";

        if ( $this->footer ) {
            $widget = new OnpubWidgetFooter();
            $widget->display();
        }
    }
}

?>
