<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM) Copyright (C) 2007, Onpubco
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.6
 */
class OnpubWidgetSearch
{
    private $totalArticles;
    private $keywords;
    private $fullTextSearch;

    function __construct( $totalArticles, $keywords, $fullTextSearch )
    {
        $this->totalArticles = $totalArticles;
        $this->keywords = $keywords;
        $this->fullTextSearch = $fullTextSearch;
    }

    public function display()
    {
        echo '<td class="paginator" align="left" colspan="7">' . "\n";

        if ( $this->fullTextSearch == "NA" ) {
            if ( $this->keywords ) {
                if ( $this->totalArticles == 1 ) {
                    echo '<a href="javascript:clearSearchField(); submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'cancel.png" align="top" alt="Cancel Search" width="30" height="25" title="Cancel Search" border="0" /></a> <input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="' . htmlentities( $this->keywords ) . '" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a>' . "\n";
                }
                else {
                    echo '<a href="javascript:clearSearchField(); submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'cancel.png" align="top" alt="Cancel Search" width="30" height="25" title="Cancel Search" border="0" /></a> <input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="' . htmlentities( $this->keywords ) . '" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a>' . "\n";
                }
            }
            else {
                if ( $this->totalArticles == 1 ) {
                    echo '<input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a>' . "\n";
                }
                else {
                    echo '<input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a>' . "\n";
                }
            }
        }
        else {
            if ( $this->fullTextSearch ) {
                if ( $this->keywords ) {
                    if ( $this->totalArticles == 1 ) {
                        echo '<a href="javascript:clearSearchField(); submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'cancel.png" align="top" alt="Cancel Search" width="30" height="25" title="Cancel Search" border="0" /></a> <input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="' . htmlentities( $this->keywords ) . '" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a> <input type="checkbox" name="fullTextSearch" id="id_fullTextSearch" value="1" checked="checked" /><label for="id_fullTextSearch">Fulltext search</label>' . "\n";
                    }
                    else {
                        echo '<a href="javascript:clearSearchField(); submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'cancel.png" align="top" alt="Cancel Search" width="30" height="25" title="Cancel Search" border="0" /></a> <input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="' . htmlentities( $this->keywords ) . '" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a> <input type="checkbox" name="fullTextSearch" id="id_fullTextSearch" value="1" checked="checked" /><label for="id_fullTextSearch">Fulltext search</label>' . "\n";
                    }
                }
                else {
                    if ( $this->totalArticles == 1 ) {
                        echo '<input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a> <input type="checkbox" name="fullTextSearch" id="id_fullTextSearch" value="1" checked="checked" /><label for="id_fullTextSearch">Fulltext search</label>' . "\n";
                    }
                    else {
                        echo '<input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a> <input type="checkbox" name="fullTextSearch" id="id_fullTextSearch" value="1" checked="checked" /><label for="id_fullTextSearch">Fulltext search</label>' . "\n";
                    }
                }
            }
            else {
                if ( $this->keywords ) {
                    if ( $this->totalArticles == 1 ) {
                        echo '<a href="javascript:clearSearchField(); submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'cancel.png" align="top" alt="Cancel Search" width="30" height="25" title="Cancel Search" border="0" /></a> <input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="' . htmlentities( $this->keywords ) . '" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a> <input type="checkbox" name="fullTextSearch" id="id_fullTextSearch" value="1" /><label for="id_fullTextSearch">Fulltext search</label>' . "\n";
                    }
                    else {
                        echo '<a href="javascript:clearSearchField(); submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'cancel.png" align="top" alt="Cancel Search" width="30" height="25" title="Cancel Search" border="0" /></a> <input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="' . htmlentities( $this->keywords ) . '" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a> <input type="checkbox" name="fullTextSearch" id="id_fullTextSearch" value="1" /><label for="id_fullTextSearch">Fulltext search</label>' . "\n";
                    }
                }
                else {
                    if ( $this->totalArticles == 1 ) {
                        echo '<input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a> <input type="checkbox" name="fullTextSearch" id="id_fullTextSearch" value="1" /><label for="id_fullTextSearch">Fulltext search</label>' . "\n";
                    }
                    else {
                        echo '<input type="text" accesskey="s" maxlength="255" size="' . 30 . '" name="keywords" value="" /> <a href="javascript:submitForm();"><img src="' . ONPUBGUI_IMAGE_DIRECTORY . 'search.png" align="top" alt="Search" width="60" height="25" title="Search" border="0" /></a> <input type="checkbox" name="fullTextSearch" id="id_fullTextSearch" value="1" /><label for="id_fullTextSearch">Fulltext search</label>' . "\n";
                    }
                }
            }
        }

        echo '</td>' . "\n";
    }
}

?>
